Subject: Re: [bfcpbis] WGLC on draft-ietf-bfcpbis-bfcp-websocket-06

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Tue, 3 May 2016 19:09:18 +0000

Hi Charles - 

The draft has been updated and addresses all WGLC comments received.  It is now ready for publication request.

Cheers,

Gonzalo

> On Apr 1, 2016, at 3:07 AM, Charles Eckel (eckelcu) <[email-masked]> wrote:
> 
> (as chair)
> 
> WGLC has ended. Thanks again to Paul for his valuable comments. I ask the authors to please share their thoughts on these and any other comments they may have received directly, and update the draft accordingly.
> 
> Cheers,
> Charles
> 
> From: bfcpbis <[email-masked]> on behalf of Charles Eckel <[email-masked]>
> Date: Thursday, March 24, 2016 at 11:46 AM
> To: "[email-masked]" <[email-masked]>
> Subject: Re: [bfcpbis] WGLC on draft-ietf-bfcpbis-bfcp-websocket-06
> 
>> Thanks to Paul for having already reviewed and provided comments. 
>> Everyone else, please do likewise by the March 28 deadline.
>> 
>> Cheers,
>> Charles
>> 
>> From: bfcpbis <[email-masked]> on behalf of Charles Eckel <[email-masked]>
>> Date: Sunday, March 13, 2016 at 9:55 AM
>> To: "[email-masked]" <[email-masked]>
>> Subject: [bfcpbis] WGLC on draft-ietf-bfcpbis-bfcp-websocket-06
>> 
>>> This is to announce a 2 week WGLC on the draft:
>>> https://tools.ietf.org/html/draft-ietf-bfcpbis-bfcp-websocket-06
>>> 
>>> Please review and provide any comments by Monday, March 28, 2016. 
>>> Comments should be sent to the authors and the BFCPBIS WG list. 
>>> If you review the draft but do not have any comments, please send a note to that effect as well.
>>> 
>>> Thanks,
>>> Charles
>>> 
>>> 
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 9 May 2016 19:58:37 +0000

Hi Gonzalo,

Thanks to you and your co-authors. I have move the draft status to waiting
for document writeup. I will be the document shepherd and prepare the
writeup.

Cheers,
Charles

On 5/3/16, 12:09 PM, "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
wrote:

>> WGLC has ended. Thanks again to Paul for his valuable comments. I ask
>>the authors to please share their thoughts on these and any other
>>comments they may have received directly, and update the draft
>>accordingly.
>> 
>> Cheers,
>> Charles
>>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 31 May 2016 21:31:06 +0000

I preparing the document writeup, I came up with a few comments (based on
draft-ietf-bfcpbis-bfcp-websocket-07):

1) Section 4.1, Sec-WebSocket-Protocol
The example offers indicates the sub protocol as ³bfcp²
The example answer indicates the sub protocol as ³BFCP²
Was this done on purpose to call attention to the field being case
insensitive? Tracing back through RFC 6455 and RFC 2616, I believe this
field is in fact case insensitive, but would it be helpful to clarify that
directly in this draft?

2) Section 6.3, the formatting of this section suffers from the way
references were made. It currently reads as follows:

The SDP attribute 'ws-uri' defined in Section 3.1
   of [Section 3.2 
<https://tools.ietf.org/html/draft-ietf-bfcpbis-bfcp-websocket-07#ref-I-D.i
etf-bfcpbis-sdp-ws-uri> of [I-D.ietf-bfcpbis-sdp-ws-uri] MUST be used when
BFCP runs on top of WSS">I-D.ietf-bfcpbis-sdp-ws-uri] MUST be used when
BFCP runs on top
   of WS, which in turn runs on top of TCP.  The SDP attribute 'wss-uri'
   defined in Section 3.2 of [Section 3.2
<https://tools.ietf.org/html/draft-ietf-bfcpbis-bfcp-websocket-07#ref-I-D.i
etf-bfcpbis-sdp-ws-uri> of [I-D.ietf-bfcpbis-sdp-ws-uri] MUST be used when
BFCP runs on top of WSS">I-D.ietf-bfcpbis-sdp-ws-uri] MUST be used
   when BFCP runs on top of WSS, which in turn runs on top of TLS and
   TCP.

I expect this was meant to be as follows:

The SDP attribute 'ws-uri' defined in Section 3.1
   of [I-D.ietf-bfcpbis-sdp-ws-uri] MUST be used when BFCP runs on top
   of WS, which in turn runs on top of TCP.  The SDP attribute 'wss-uri'
   defined in Section 3.2 of [I-D.ietf-bfcpbis-sdp-ws-uri] MUST be used
   when BFCP runs on top of WSS, which in turn runs on top of TLS and
   TCP.

3) Section 7.1 suffers a similar reference formatting issue as section 6.3.

4) Section 12.2, RFC 2818 is indicated as a reference, but it is not
references from within the draft.

Nits
5) ³.² missing at end of first and second paragraphs in section 5 and at
end of first paragraph in section 6.1 and in section 6.2.
6) Section 6.3, s/a new SDP attributes/a new SDP attribute
7) Section 7.1, s/whichcould/which could
8) Section 7.2, s/a endpoint/an endpoint
9) Section 10.2, s/RFC&rfc.number/RFCXXXX (two instances)

Please have a look at these and update the draft accordingly.

Cheers,
Charles

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Wed, 1 Jun 2016 04:51:04 +0000

Hi Charles,

Thanks for your feedback. See inline

-----Original Message-----
From: bfcpbis <[email-masked]> on behalf of "Charles Eckel
(eckelcu)" <[email-masked]>
Date: Wednesday, 1 June 2016 at 3:01 AM
To: "Charles Eckel (eckelcu)" <[email-masked]>, "Gonzalo Salgueiro
(gsalguei)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [bfcpbis] WGLC on draft-ietf-bfcpbis-bfcp-websocket-06

>field is in fact case insensitive, but would it be helpful to clarify that

During WGLC reviews Paul suggested to use “BFCP”. I will change to that
way in the entire draft.

>   when BFCP runs on top of WSS, which in turn runs on top of TLS and

Suggested text looks good to me. I will fix it

>3) Section 7.1 suffers a similar reference formatting issue as section

Will fix

>references from within the draft.

Will remove as its not being referenced

>9) Section 10.2, s/RFC&rfc.number/RFCXXXX (two instances)

Thanks will fix these.

I will publish a revision soon.

Regards,
Ram

>>>> On Apr 1, 2016, at 3:07 AM, Charles Eckel (eckelcu)
>>>><[email-masked]>
>>>>wrote:
>>>> 
>>>> (as chair)
>>>>